# GCC_PasswordChallengeRequestResponse_challengeRequestResponse Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_PasswordChallengeRequestResponse_challengeRequestResponse:

List of all members.

## Public Types

enum | OptionalFields { e_challengeRequest, e_challengeResponse }

## Public Member Functions

| GCC_PasswordChallengeRequestResponse_challengeRequestResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_ChallengeRequest | m_challengeRequest
GCC_ChallengeResponse | m_challengeResponse

## Member Enumeration Documentation

enum GCC_PasswordChallengeRequestResponse_challengeRequestResponse::OptionalFields

Enumerator:

  e_challengeRequest |
  e_challengeResponse |

## Constructor & Destructor Documentation

GCC_PasswordChallengeRequestResponse_challengeRequestResponse::GCC_PasswordChallengeRequestResponse_challengeRequestResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_PasswordChallengeRequestResponse_challengeRequestResponse::GetDataLength | ( |  | ) | const

PBoolean GCC_PasswordChallengeRequestResponse_challengeRequestResponse::Decode | ( | PASN_Stream & | strm | ) |

void GCC_PasswordChallengeRequestResponse_challengeRequestResponse::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_PasswordChallengeRequestResponse_challengeRequestResponse::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_PasswordChallengeRequestResponse_challengeRequestResponse::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_PasswordChallengeRequestResponse_challengeRequestResponse::Clone | ( |  | ) | const

## Member Data Documentation

GCC_ChallengeRequest GCC_PasswordChallengeRequestResponse_challengeRequestResponse::m_challengeRequest

GCC_ChallengeResponse GCC_PasswordChallengeRequestResponse_challengeRequestResponse::m_challengeResponse

The documentation for this class was generated from the following file:

- gcc.h